Subject: Offline Message from Terri Kramer: 2nd message, my recently purchased swagtro
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 25 Sep 2022 22:35:54 -0000

From: Terri Kramer <[email-masked]>
Phone: 5135784974
Location: Cincinnati, United States
URL: https://swagtron.com/manuals/
Department: SwagTron

2nd message, my recently purchased swagtron T6 is unresponsive, dead on floor, full charge battery have reset, it just beeps and flashes at me, needless to say I'm getting a little upset at this point, I researched hoover boards and decided on this one, waited over 6 months since you were sold out, finally in stock (black only) I ordered it and at this point I have a very expensive very heavy light up musical anchor! Beginning to think I made a huge mistake and should have bought one from Walmart, what is the deal?? Is this why it was out of stock for months?? Do you care about guest service??? I wanted a high quality high performance Hoover board, I work with rescue dogs could have provided great exposure for you product considering it goes off road, I'm guessing at this point I've might have bought into the hype and should have done more research. I will give this issue a few more days, let see if you stand behind your products I will be awaiting your call

----
Zopim
https://www.zopim.com